## org.omg.IIOP
Class ProfileBody_1_0Helper

    java.lang.Object
      |
      +--org.omg.IIOP.ProfileBody_1_0Helper

public class ProfileBody_1_0Helper
extends java.lang.Object

Helper class for : ProfileBody_1_0

Author:
  OpenORB Compiler

Constructor Summary
`ProfileBody_1_0Helper()`

Method Summary
`static ProfileBody_1_0` `extract(Any a)` Extract ProfileBody_1_0 from an any
`static java.lang.String` `id()` Return the ProfileBody_1_0 IDL ID
`static void` `insert(Any a, ProfileBody_1_0 t)` Insert ProfileBody_1_0 into an any
`static ProfileBody_1_0` `read(InputStream istream)` Read ProfileBody_1_0 from a marshalled stream
`static TypeCode` `type()` Return the ProfileBody_1_0 TypeCode
`static void` `write(OutputStream ostream, ProfileBody_1_0 value)` Write ProfileBody_1_0 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileBody_1_0Helper

    public ProfileBody_1_0Helper()

Method Detail

### insert

    public static void insert(Any a,
                              ProfileBody_1_0 t)

  Insert ProfileBody_1_0 into an any
  Parameters:
    `a` - an any
    `t` - ProfileBody_1_0 value

### extract

    public static ProfileBody_1_0 extract(Any a)

  Extract ProfileBody_1_0 from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ProfileBody_1_0 value

### type

    public static TypeCode type()

  Return the ProfileBody_1_0 TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ProfileBody_1_0 IDL ID
  Returns:
    an ID

### read

    public static ProfileBody_1_0 read(InputStream istream)

  Read ProfileBody_1_0 from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ProfileBody_1_0 value

### write

    public static void write(OutputStream ostream,
                             ProfileBody_1_0 value)

  Write ProfileBody_1_0 into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ProfileBody_1_0 value